GIT问题在AIX 6.1中

我最近在我的AIX 6.1机器上安装了GIT 1.8.1,并面临一些问题。

现在,如果我以root用户身份login并发出git命令,如git –version,我得到的响应如下所示:代码:

git version 1.8.1 

而且我也尝试以root身份创build存储库,并且工作正常。

现在如果我只是一个普通的用户login,如果我发出版本命令:git –version我得到的答复如下:

 genuser:stud:/students/admin> git --version exec(): 0509-036 Cannot load program git because of the following errors: 0509-150 Dependent module /usr/lib/libiconv.a(libiconv.so.2) could not be loaded. 0509-152 Member libiconv.so.2 is not found in archive 

现在如何与root用户合作,而不是与普通用户合作。

但是,如果我在普通用户发出man git命令,我得到了git的手册,但其余的命令给出了上述错误。

顺便说一下,文件libiconv.so.2不存在于/ usr / lib目录下,但它仍然以root用户身份运行,而不是以普通用户身份运行。

我怎样才能解决这个问题。

听起来像是一个LIBPATH问题,比较根用户的LIBPATH和你试图运行git的用户的LIBPATH